From 938d316c9643512ccf0f8581e692fa81246a3cfd Mon Sep 17 00:00:00 2001
From: Claude Heiland-Allen <claude@mathr.co.uk>
Date: Thu, 20 Sep 2018 07:30:04 +0100
Subject: [PATCH 12/39] space between string and macro to avoid operatorX
 confusion

---
 src/classes2.cxx | 4 ++--
 src/gridflow.cxx | 8 ++++----
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/src/classes2.cxx b/src/classes2.cxx
index 4b792227..75e89747 100644
--- a/src/classes2.cxx
+++ b/src/classes2.cxx
@@ -741,7 +741,7 @@ extern "C" void canvas_setgraph(t_glist *x, int flag, int nogoprect);
 	\decl 0 list (int x1, int y1, int x2, int y2) {MOM;
 		_0_hide();
 		last = m;
-		sys_vgui(".x%lx.c create rectangle %d %d %d %d "DASHRECT" -tags %lxRECT\n",(long)(intptr_t)m,x1,y1,x2,y2,(long)(intptr_t)bself);
+		sys_vgui(".x%lx.c create rectangle %d %d %d %d " DASHRECT " -tags %lxRECT\n",(long)(intptr_t)m,x1,y1,x2,y2,(long)(intptr_t)bself);
 	}
 };
 \end class {install("gf/canvas_hohoho",1,0);}
@@ -823,7 +823,7 @@ extern "C" void canvas_setgraph(t_glist *x, int flag, int nogoprect);
 			int x1,y1,x2,y2;
 			gobj_getrect((t_gobj *)wire->to,can,&x1,&y1,&x2,&y2);
 			// was #00aa66 {3 5 3 5}
-			sys_vgui(".x%lx.c delete %lxRECT; .x%lx.c create rectangle %d %d %d %d "DASHRECT" -tags %lxRECT\n",
+			sys_vgui(".x%lx.c delete %lxRECT; .x%lx.c create rectangle %d %d %d %d " DASHRECT " -tags %lxRECT\n",
 				(long)(intptr_t)can,(long)(intptr_t)t,(long)(intptr_t)can,x1,y1,x2,y2,(long)(intptr_t)t);
 			}
 	}
diff --git a/src/gridflow.cxx b/src/gridflow.cxx
index 35e78770..9ff15e38 100644
--- a/src/gridflow.cxx
+++ b/src/gridflow.cxx
@@ -1072,7 +1072,7 @@ STARTUP_LIST(void)
 extern "C" void gridflow_setup () {
     s_loadbang = gensym("loadbang");
     post("GridFlow " GF_VERSION ", Copyright (c) 2001-2011 Mathieu Bouchard");
-    post("GridFlow was compiled on "__DATE__", "__TIME__);
+    post("GridFlow was compiled on " __DATE__ ", " __TIME__);
     //std::set_terminate(__gnu_cxx::__verbose_terminate_handler);
     std::set_terminate(blargh);
     allow_big_stack();
@@ -1082,9 +1082,9 @@ extern "C" void gridflow_setup () {
 	char *nameresult;
 	char *zz=getcwd(dirname,MAXPDSTRING); /* zz only exists because gcc 4.3.3 gives me a bogus warning otherwise. */
 	if (zz<0) {post("AAAARRRRGGGGHHHH!"); exit(69);}
-	int       fd=open_via_path(dirname,"gridflow/"PDPRE"gridflow",PDSUF,dirresult,&nameresult,MAXPDSTRING,1);
-	if (fd<0) fd=open_via_path(dirname,         PDPRE"gridflow",PDSUF,dirresult,&nameresult,MAXPDSTRING,1);
-	if (fd>=0) close(fd); else post("%s was not found via the -path!","gridflow"PDSUF);
+	int       fd=open_via_path(dirname,"gridflow/" PDPRE "gridflow",PDSUF,dirresult,&nameresult,MAXPDSTRING,1);
+	if (fd<0) fd=open_via_path(dirname,            PDPRE "gridflow",PDSUF,dirresult,&nameresult,MAXPDSTRING,1);
+	if (fd>=0) close(fd); else post("%s was not found via the -path!","gridflow" PDSUF);
 	/* nameresult is only a pointer in dirresult space so don't delete[] it. */
 	gridflow_folder = gensym(dirresult);
 	add_to_path(dirresult);
-- 
2.19.1

